Bug 196635 - Review Request: knetworkmanager
Review Request: knetworkmanager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-26 01:05 EDT by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 07:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2006-06-26 01:05:16 EDT
Spec URL: http://ausil.us/packages/knetworkmanager.spec
SRPM URL: http://ausil.us/packages/knetworkmanager-0.1-1svn20060625.fc5.src.rpm
Description: knetworkmanager is a kde frontend for NetworkManager  that integrates with KDE
Comment 1 Rex Dieter 2006-06-26 07:41:25 EDT
Offhand, first thing to fix is to fix Release tag, use instead (something 
like):
Release: 0.1.%{svn}%{?dist}

Is there a reason to use a cvs/svn checkout instead of an official release?  
If so, please document that as a comment in the specfile.  

Also, please document (as comment or whatever) the purpose of of any applied 
patches.
Comment 2 Rex Dieter 2006-06-26 07:42:46 EDT
Nevermind about the "official release" but, it appears there isn't one (yet), 
afaict.
Comment 3 Dennis Gilmore 2006-06-26 10:51:30 EDT
* Mon Jun 27 2006 <dennis@ausil.us> - 0.1-0.1svn20060626
- fix  BuildRequires  missing hal-devel,  fix version to match
- fedora guidelines, add comment about patch  Bad SuSE

SRPM: http://ausil.us/packages/knetworkmanager-0.1-0.1svn20060625.src.rpm
SPEC: http://ausil.us/packages/knetworkmanager.spec
Comment 4 Rex Dieter 2006-06-26 10:55:24 EDT
Need a dot '.' between 0.1 and svn... bits in the Release tag.
Comment 5 Dennis Gilmore 2006-06-26 11:05:01 EDT
* Mon Jun 27 2006 <dennis@ausil.us> - 0.1-0.2.svn20060626
- add a . to the release

SRPM: http://ausil.us/packages/knetworkmanager-0.1-0.2.svn20060625.src.rpm
SPEC: http://ausil.us/packages/knetworkmanager.spec
Comment 6 Rex Dieter 2006-06-26 11:38:33 EDT
As per our IRC chat, patch to use system-config-network instead of (the
hard-coded) yast, and then it's looking pretty good.
Comment 7 Dennis Gilmore 2006-06-26 12:07:55 EDT
* Mon Jun 27 2006 <dennis@ausil.us> - 0.1-0.3.svn20060626
- patch out call to yast and replace with
- system-config-network for dialup

SRPM: http://ausil.us/packages/knetworkmanager-0.1-0.3.svn20060625.src.rpm
SPEC: http://ausil.us/packages/knetworkmanager.spec
Comment 8 Rex Dieter 2006-06-26 12:09:35 EDT
Looks good, APPROVED.
Comment 9 Dennis Gilmore 2006-06-26 17:49:19 EDT
imported  branch requested all built and awaiting push 

Closing 

Note You need to log in before you can comment on or make changes to this bug.